Bug 636473 - [abrt] evince-2.30.3-1.fc13: raise: Process /usr/bin/evince was killed by signal 6 (SIGABRT)
Summary: [abrt] evince-2.30.3-1.fc13: raise: Process /usr/bin/evince was killed by sig...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:773fb9b67659472d8e708005e7e...
Keywords:
: 608430 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-22 10:34 UTC by Jiannan Liu
Modified: 2011-06-28 12:29 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-28 12:29:58 UTC


Attachments (Terms of Use)
File: backtrace (24.90 KB, text/plain)
2010-09-22 10:34 UTC, Jiannan Liu
no flags Details

Description Jiannan Liu 2010-09-22 10:34:18 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: evince /home/ljn/DATA/downloads/fortran/fortran_95-2003_for_scientists_and_engineers__3rd_edition.djvu
component: evince
crash_function: raise
executable: /usr/bin/evince
kernel: 2.6.34.6-47.fc13.x86_64
package: evince-2.30.3-1.fc13
rating: 4
reason: Process /usr/bin/evince was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1284995920
uid: 500

Comment 1 Jiannan Liu 2010-09-22 10:34:21 UTC
Created attachment 448900 [details]
File: backtrace

Comment 2 Michael Lohmeyer 2010-11-01 01:29:30 UTC
Package: evince-2.30.3-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
This crash occurs due to a .cbz (comic book ZIP file) with a __MACOSX directory. The directory
(obviously generated on a Mac) contains a duplicate of the folder in the file, with ._(filename) files.
I don't know if this is a thumbnail folder or what.  But, evince crashes due to this folder. If I remove
this folder from the archive, then evince displays the images correctly.

E.g. 
FILE.cbz contains the following directory structure:
__MACOSX\dir1\._0000.jpg
__MACOSX\dir1\._0001.jpg
dir1\0000.jpg
dir1\0001.jpg

I assume evince is attempting to display the ._0000.jpg and ._0001.jpg files and crashing. If I 
completely remove the __MACOSX folder, it doesn't crash anymore.

The above is just an example. The real file that caused this is 41MB with 200+ jpg files.  
I can provide the offending file if necessary.

Comment
-----
Note, there are .DS_Store files in the same archive file, but evince does not have
any trouble with .DS_Store files. It doesn't try to display them, nor does it crash because
of them.

The crash occurs upon loading the file - before evince displays anything.

Finally, if  run evince from a terminal, I get the following errors while loading the file.  The
(evince:24133) line repeats I assume once for each bad file it attemps to load (a couple hundred
times), but I didn't count it.  
....
(evince:24133): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_write: assertion `priv->closed == FALSE' failed

(evince:24133): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_write: assertion `priv->closed == FALSE' failed

(evince:24133): GdkPixbuf-CRITICAL **: gdk_pixbuf_loader_write: assertion `priv->closed == FALSE' failed
**
EvinceDocument:ERROR:ev-document-misc.c:58:ev_document_misc_get_thumbnail_frame: assertion failed: (width_r >= 0 && height_r >= 0)
Aborted (core dumped)

Regards,
Mike

Comment 3 Karel Klíč 2010-11-09 12:54:27 UTC
*** Bug 608430 has been marked as a duplicate of this bug. ***

Comment 4 Bug Zapper 2011-05-31 12:52:45 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-28 12:29:58 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.